{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
  <title>{% block title %}Classmeet{% endblock title %}</title>
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="shortcut icon" type="image/x-icon" href="{% static 'images/favicon.ico' %}">


  {% load compress %}

  {% compress css %}
  <link type="text/x-scss" href="{% static 'css/theme.scss' %}" rel="stylesheet" media="screen">
  {% endcompress %}

  {% block stylesheet %}

  {% endblock %}

</head>

<body>
  <main role="main">

    <div class="container-fluid border-bottom px-2 px-md-5 " id="roomLinkFocus">
      <nav class="navbar navbar-expand-lg navbar-light bg-white  bg-light">
        <a class="navbar-brand font-weight-bold text-primary" href="{% url 'home' %}">

          <img class="header-brand-img" src="{% static 'images/chiguru_logo.jpeg' %}" alt="chiguru logo"></img>

        </a>
        <button class=" navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav ml-auto">
            {% if request.user.is_superuser %}
            <li class="nav-item active ">

              <a class="nav-link" href="{% url 'admin:cmcore_user_changelist'%}">Users <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active ">
                <a class="nav-link " href="{% url 'admin:cmweb_rooms_changelist'%}?is_session_running__exact=1">Running rooms <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active ">
              <a class="nav-link " href="{% url 'admin:cmcore_subscription_changelist'%}">Subscriptions <span class="sr-only">(current)</span></a>
            </li>
            {% endif %}
            <li class="nav-item active ">
              <a class="nav-link " href="{% url 'home' %}">

                <svg width="1.6em" height="1.6em" viewBox="0 0 16 16" class="bi bi-house-door-fill" fill="currentColor"
                  xmlns="http://www.w3.org/2000/svg">
                  <path
                    d="M6.5 10.995V14.5a.5.5 0 0 1-.5.5H2a.5.5 0 0 1-.5-.5v-7a.5.5 0 0 1 .146-.354l6-6a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 .146.354v7a.5.5 0 0 1-.5.5h-4a.5.5 0 0 1-.5-.5V11c0-.25-.25-.5-.5-.5H7c-.25 0-.5.25-.5.495z" />
                  <path fill-rule="evenodd" d="M13 2.5V6l-2-2V2.5a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5z" />
                </svg>
                Home <span class="sr-only">(current)</span></a>
            </li>
            {% comment %} <li class="nav-item">
              <a class="nav-link" href="{% url 'about' %}">About</a>
            </li> {% endcomment %}
            {% if user.is_authenticated %}
            {% comment %} <li class="nav-item">
              <a class="nav-link" href="#">All Recordings</a>
            </li> {% endcomment %}
          </ul>
          <ul class="navbar-nav">
            <li class="nav-item active">
              <a class="nav-link " href="#" id="userMenu" data-toggle="dropdown" aria-haspopup="true"
                aria-expanded="false">
                <span class="form-inline">
                  <svg width="1.6em" height="1.6em" viewBox="0 0 16 16" class="bi mr-3 bi-person-square"
                    fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                      d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z" />
                    <path fill-rule="evenodd" d="M2 15v-1c0-1 1-4 6-4s6 3 6 4v1H2zm6-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z" />
                  </svg>
                  {{ user.fullname }}

                </span>

              </a>
              <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
                <a class="dropdown-item" href="{% url 'account_change_password' %}">Change password</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{% url 'account_logout' %}">Log out</a>
              </div>
            </li>
            {% else %}
            <li class="nav-item">
              <form class="form-inline">
                <a href="{% url 'account_login' %}" class="btn btn-outline-secondary">Log in</a>
                <a href="{% url 'account_signup' %}" class="btn btn-primary text-light ml-2">Sign up</a>

              </form>
            </li>
            {% endif %}
          </ul>
        </div>
      </nav>
    </div>
    <!-- ast component -->

  </main>

  <div class=" cont">
    <div class=" container-fluid">
      {% block content %}
      <p>Default content...</p>
      {% endblock content %}
    </div>
  </div>
  <footer class="footer border-top pt-3">
    <p class="text-center text-muted">
      <a href="https://classmeet.chiguru.tech">ClassMeet</a> is an open source video conferencing solution offered by <a href="https://chiguru.tech">Chiguru CoLab</a>
     <br>
      <a href="{% url 'terms'%}">Terms & Conditions</a>
    </p>
  </footer>


  <!-- Bootstrap JavaScript -->
  <script src="{% static 'js/jquery-3.5.1.min.js' %}"></script>
  <script src="{% static 'js/popper.min.js' %}"></script>
  <script src="{% static 'js/bootstrap.min.js'%}"></script>
  <link rel="stylesheet" type="text/css" href="{% static 'css/jquery.dataTables.min.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'css/responsive.dataTables.min.css' %}">
  
  <script type="text/javascript" charset="utf8" src="{% static 'js/jquery.dataTables.min.js' %}"></script>
  <script type="text/javascript" charset="utf8" src="{% static 'js/dataTables.responsive.min.js' %}"></script>
  
  {% block javascript %}
  <!-- Page specific JavaScript -->

  <script src="{% static 'js/base.js' %}"></script>
  {% endblock javascript %}

</body>


</html>